Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.bpm.proxy
Class JpdProxyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.wli.bpm.proxy.JpdProxyException

All Implemented Interfaces:
  Serializable

public class JpdProxyException
extends Exception

See Also:
  Serialized Form

Constructor Summary
`JpdProxyException()` Constructs a new exception with `null` as its detail message.
`JpdProxyException(String message)` Constructs a new exception with the specified detail message.
`JpdProxyException(String message, Throwable cause)` Constructs a new exception with the specified detail message and cause.
`JpdProxyException(Throwable cause)` Constructs a new exception with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

Method Summary
`Throwable` | `getCause()`
`Throwable` | `initCause(Throwable cause)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JpdProxyException

    public JpdProxyException()

  Constructs a new exception with `null` as its detail message. The cause is not initialized, and may subsequently be initialized by a call to `initCause(java.lang.Throwable)`.

### JpdProxyException

    public JpdProxyException(String message)

  Constructs a new exception with the specified detail message. The cause is not initialized, and may subsequently be initialized by a call to `initCause(java.lang.Throwable)`.

Parameters:
  `message` - the detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.

### JpdProxyException

    public JpdProxyException(String message,
                             Throwable cause)

  Constructs a new exception with the specified detail message and cause.

  Note that the detail message associated with `cause` is not automatically incorporated in this exception's detail message.

Parameters:
  `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
  `cause` - the cause (which is saved for later retrieval by the `getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

### JpdProxyException

    public JpdProxyException(Throwable cause)

  Constructs a new exception with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`). This constructor is useful for exceptions that are little more than wrappers for other throwables (for example, `PrivilegedActionException`).

Parameters:
  `cause` - the cause (which is saved for later retrieval by the `getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

Method Detail

### getCause

    public Throwable getCause()

### initCause

    public Throwable initCause(Throwable cause)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD